Subject: Re: Problem compiling perl module Term::ReadKey under cygwin
From: Earnie Boyd <[email-masked]>
To: "Charles S. Wilson" <[email-masked]>, Steve Kelem <[email-masked]>
Cc: Cygwin <[email-masked]>
Date: Thu, 15 Jun 2000 05:44:32 -0700 (PDT)

--- "Charles S. Wilson" <[email-masked]> wrote:
-8<-
> 
> CYGWIN LIST:
> 
> I tracked down the problem: the choose_temp_base() routine in libiberty
> (which is linked by dllwrap.exe) defines '\\' as the path separator on
> all _WIN32 platforms. This routine checks the environment variable
> $TMPDIR, $TMP, and $TEMP, followed by {DIRSEP}tmp, and
> {DIRSEP}usr{DIRSEP}tmp. So, in my case $TEMP=/tmp. Then, the routine
> adds {DIRSEP}ccXXXXXX where 'X' is a digit.
> 

The code I'm looking at, which I updated from CVS yesterday uses a '/' for
DIR_SEPARATOR if __CYGWIN__ is defined.  The macro DIRSEP doesn't exist.  Thbe
relavent code is:

-----8<--------
#ifndef IN_GCC
#if defined (__MSDOS__) || (defined (_WIN32) && ! defined (__CYGWIN__) && !
defi
ned (_UWIN))
#define DIR_SEPARATOR '\\'
#endif
#endif

#ifndef DIR_SEPARATOR
#define DIR_SEPARATOR '/'
#endif
-----8<--------

> Therefore, '/tmp\ccXXXXXX'.
> 
> To whom should a patch for libiberty be sent?
> 

I don't think one is needed.

Regards,

=====
---
   Earnie Boyd: <mailto:[email-masked]>
            __Cygwin: POSIX on Windows__
Cygwin Newbies: <http://www.freeyellow.com/members5/gw32/index.html>
           __Minimalist GNU for Windows__
  Mingw32 List: <http://www.egroups.com/group/mingw32/>
    Mingw Home: <http://www.mingw.org/>

__________________________________________________
Do You Yahoo!?
Yahoo! Photos -- now, 100 FREE prints!
http://photos.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]